---
updatedAt: 2026-06-13T01:37:16.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Delete issued bank slip

Delete a previously issued bank slip and cancel it for the provider.<br>
This endpoint produces the [Bank slip issuance canceled](https://developers.pismo.io/events/docs/integrated-payments-bankslip-issue-cancel-1) event.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Integrated payments",
    "version": "1.0",
    "description": "API responsible for handling and processing integrated payments",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/integrated-payments",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Bank slip issuance",
      "description": "Operations related to issue and cancel issued bank slips"
    }
  ],
  "components": {
    "parameters": {
      "clientRequestIdPath": {
        "name": "clientRequestId",
        "in": "path",
        "description": "Client request ID returned using the bank slip issue endpoint.",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "6d6bdd2c-9980-4cf1-87ff-c99dc9ce6ef4"
      }
    },
    "schemas": {
      "bankslips_issue.DeleteIssueRequest": {
        "type": "object",
        "properties": {
          "reason": {
            "type": "string",
            "description": "bank slip delete reason.",
            "example": "Cancellation of client contract."
          }
        }
      },
      "domain.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error type code.",
            "example": "EIP0001"
          },
          "details": {
            "type": "string",
            "description": "Error details.",
            "example": "Error details"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the error.",
            "example": "error"
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/v1/bankslips-issue/client-requests/{clientRequestId}": {
      "delete": {
        "tags": [
          "Bank slip issuance"
        ],
        "summary": "Delete issued bank slip",
        "operationId": "delete-integrated-payments-api-v1-bankslips-issue",
        "description": "Delete a previously issued bank slip and cancel it for the provider.<br>\nThis endpoint produces the [Bank slip issuance canceled](https://developers.pismo.io/events/docs/integrated-payments-bankslip-issue-cancel-1) event.\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/clientRequestIdPath"
          }
        ],
        "requestBody": {
          "description": "Request Body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/bankslips_issue.DeleteIssueRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "accepted",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {}
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0025": {
                    "summary": "Error unmarshalling request body",
                    "value": {
                      "code": "EIP0025",
                      "message": "Error unmarshalling request body"
                    }
                  },
                  "EIP0010": {
                    "summary": "Unmarshal error",
                    "value": {
                      "code": "EIP0010",
                      "message": "Unmarshal error"
                    }
                  },
                  "EIP0023": {
                    "summary": "BankingGatewayAPI - API returned 4xx error",
                    "value": {
                      "code": "EIP0023",
                      "message": "BankingGatewayAPI - API returned 4xx error"
                    }
                  },
                  "EIP0003": {
                    "summary": "Bad Request",
                    "value": {
                      "code": "EIP0003",
                      "message": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0005": {
                    "summary": "Missing required header {x-tenant}",
                    "value": {
                      "code": "EIP0005",
                      "message": "Missing required header {x-tenant}"
                    }
                  },
                  "EIP0006": {
                    "summary": "Invalid account id header {x-account-id}",
                    "value": {
                      "code": "EIP0006",
                      "message": "Invalid account id header {x-account-id}"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0043": {
                    "summary": "Bank slip not found",
                    "value": {
                      "code": "EIP0043",
                      "message": "Bankslips not found"
                    }
                  },
                  "EIP0062": {
                    "summary": "BankingGatewayAPI - Register not found in provider",
                    "value": {
                      "code": "EIP0062",
                      "message": "BankingGatewayAPI - Register data not found in provider"
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0065": {
                    "summary": "BankingGatewayAPI - API returned 409 provider error",
                    "value": {
                      "code": "EIP0065",
                      "message": "BankingGatewayAPI - API returned 409 provider error"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0076": {
                    "summary": "Bankslip issue ExternalID invalid",
                    "value": {
                      "code": "EIP0076",
                      "message": "Bankslips issue ExternalID invalid"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0007": {
                    "summary": "Internal error",
                    "value": {
                      "code": "EIP0007",
                      "message": "Internal error"
                    }
                  },
                  "EIP0041": {
                    "summary": "Bank slip database error",
                    "value": {
                      "code": "EIP0041",
                      "message": "Bankslips database error"
                    }
                  },
                  "EIP0004": {
                    "summary": "HTTP request error",
                    "value": {
                      "code": "EIP0004",
                      "message": "HTTP request error"
                    }
                  },
                  "EIP0022": {
                    "summary": "BankingGatewayAPI - API timeout error",
                    "value": {
                      "code": "EIP0022",
                      "message": "BankingGatewayAPI - API timeout error"
                    }
                  },
                  "EIP0070": {
                    "summary": "BankingGateway API - Failed to unmarshal error response body",
                    "value": {
                      "code": "EIP0070",
                      "message": "BankingGateway API - Failed to unmarshal error response body"
                    }
                  },
                  "EIP0053": {
                    "summary": "Send integrity message error",
                    "value": {
                      "code": "EIP0053",
                      "message": "Send integrity message error"
                    }
                  },
                  "EIP0074": {
                    "summary": "Bankslip issue database error",
                    "value": {
                      "code": "EIP0074",
                      "message": "Bankslip issue database error"
                    }
                  }
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0024": {
                    "summary": "Bad Gateway",
                    "value": {
                      "code": "EIP0024",
                      "message": "BankingGatewayAPI - API returned 5xx error"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "description": "Gateway Timeout",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0024": {
                    "summary": "BankingGatewayAPI - API returned 5xx error",
                    "value": {
                      "code": "EIP0024",
                      "message": "BankingGatewayAPI - API returned 5xx error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```